package com.izouma.awesomeadmin.model;

import java.util.*;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * depart_info 实体类
 * Thu Apr 26 10:56:37 CST 2018  Suo Chen Cheng
 */ 
@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class DepartInfo{

/**
* 	 id
*/
	private Integer id;

/**
* 	 部门名称
*/
	private String departName;

/**
* 	 上级部门id
*/
	private Integer parentId;

/**
* 	 所有上级id
*/
	private String allParentId;

/**
* 	 描述
*/
	private String description;

/**
* 	 部门代码
*/
	private String departCode;

/**
* 	 组织代码
*/
	private String orgCode;

/**
* 	 类型
*/
	private Integer type;

/**
* 	 备注
*/
	private String remark;

/**
* 	 排序
*/
	private Integer sort;

/**
* 	 del_flag
*/
	private String delFlag;

/**
* 	 create_time
*/
	private Date createTime;

/**
* 	 权限标识
*/
	private String permission;

	public void setId(Integer id){
		this.id=id;
	}

	public Integer getId(){
		return id;
	}

	public void setDepartName(String departName){
		this.departName=departName;
	}

	public String getDepartName(){
		return departName;
	}

	public void setParentId(Integer parentId){
		this.parentId=parentId;
	}

	public Integer getParentId(){
		return parentId;
	}

	public void setAllParentId(String allParentId){
		this.allParentId=allParentId;
	}

	public String getAllParentId(){
		return allParentId;
	}

	public void setDescription(String description){
		this.description=description;
	}

	public String getDescription(){
		return description;
	}

	public void setDepartCode(String departCode){
		this.departCode=departCode;
	}

	public String getDepartCode(){
		return departCode;
	}

	public void setOrgCode(String orgCode){
		this.orgCode=orgCode;
	}

	public String getOrgCode(){
		return orgCode;
	}

	public void setType(Integer type){
		this.type=type;
	}

	public Integer getType(){
		return type;
	}

	public void setRemark(String remark){
		this.remark=remark;
	}

	public String getRemark(){
		return remark;
	}

	public Integer getSort() {
		return sort;
	}

	public void setSort(Integer sort) {
		this.sort = sort;
	}

	public void setDelFlag(String delFlag){
		this.delFlag=delFlag;
	}

	public String getDelFlag(){
		return delFlag;
	}

	public void setCreateTime(Date createTime){
		this.createTime=createTime;
	}

	public Date getCreateTime(){
		return createTime;
	}

	public void setPermission(String permission){
		this.permission=permission;
	}

	public String getPermission(){
		return permission;
	}

}

